# diff

inline fun < T > Iterable < T >. diff (other: Iterable < T >, strictComparison: Boolean = false): Diff < T >(source)
inline fun < T > Iterable < T >. diff (other: Iterable < T >, noinline comparisonFun: ( T ?, T ?) -> Boolean ): Diff < T >(source)

fun < K , V > Map < K , V >. diff (other: Map < K , V >, compareFun: ( K , V , V ) -> Boolean ): MapDiff < K , V >(source)

Compare this with the other one in principle when other is newer than this

#### Parameters

compareFun

Will be used to determine changed values

fun < K , V > Map < K , V >. diff (other: Map < K , V >, strictComparison: Boolean = false): MapDiff < K , V >(source)

Compare this with the other one in principle when other is newer than this

#### Parameters

strictComparison

If true, will use strict (===) comparison for the values' comparison. Otherwise, standard `equals` will be used